Get Chat Thread - Get Chat Thread
Sohbet yazışması alır.
GET {endpoint}/chat/threads/{chatThreadId}?api-version=2020-09-21-preview2
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
chat
|
path | True |
string |
Alınacak iş parçacığı kimliği. |
|
endpoint
|
path | True |
string |
Azure İletişim kaynağının uç noktası. |
|
api-version
|
query | True |
string |
Çağrılacak API sürümü. |
İstek Başlığı
| Name | Gerekli | Tür | Description |
|---|---|---|---|
| Authorization | True |
string |
ACS (Azure İletişim Hizmetleri) kullanıcı erişim belirteci. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
İstek başarılı oldu. Eylem bir |
|
| 401 Unauthorized |
Yetkisiz |
|
| 403 Forbidden |
Yasak |
|
| 429 Too Many Requests |
Çok fazla istek var |
|
| Other Status Codes |
Hizmet kullanılamıyor |
Güvenlik
Authorization
ACS (Azure İletişim Hizmetleri) kullanıcı erişim belirteci.
Tür:
apiKey
İçinde:
header
Örnekler
Get chat thread
Örnek isteği
GET https://contoso.westus.communications.azure.com/chat/threads/19:uni01_zbnh3nt2dfuffezc3sox7dog7wfhk6y5qe2rwlnfhlhdzirihdpq@thread.v2?api-version=2020-09-21-preview2
Örnek yanıt
{
"id": "19:uni01_zbnh3nt2dfuffezc3sox7dog7wfhk6y5qe2rwlnfhlhdzirihdpq@thread.v2",
"topic": "Lunch",
"createdOn": "2020-06-06T05:55:41.6460000Z",
"createdBy": "8:acs:8540c0de-899f-5cce-acb5-3ec493af3800_0e59221d-0c1d-46ae-9544-c963ce56c10b",
"members": [
{
"id": "8:acs:8540c0de-899f-5cce-acb5-3ec493af3800_0e59221d-0c1d-46ae-9544-c963ce56c10a",
"shareHistoryTime": "2020-06-06T05:55:41Z"
},
{
"id": "8:acs:8540c0de-899f-5cce-acb5-3ec493af3800_0e59221d-0c1d-46ae-9544-c963ce56c10b",
"shareHistoryTime": "2020-06-06T05:55:41Z"
}
]
}
{
"code": "Unauthorized",
"message": "Request is not authorized."
}
{
"code": "Forbidden",
"message": "User is not allowed to perform specified action."
}
{
"code": "TooManyRequests",
"message": "Rate limit exceeded."
}
{
"code": "ServiceUnavailable",
"message": "The server is currently unable to handle the request."
}
Tanımlar
| Name | Description |
|---|---|
|
Chat |
|
|
Chat |
Sohbet yazışmasının bir üyesi. |
| Error |
ChatThread
| Name | Tür | Description |
|---|---|---|
| createdBy |
string |
Sohbet yazışması sahibinin kimliği. |
| createdOn |
string (date-time) |
Sohbet yazışmasının oluşturulduğu zaman damgası. Zaman damgası ISO8601 biçimdedir: |
| id |
string |
Sohbet yazışması kimliği. |
| members |
Sohbet yazışması üyeleri. |
|
| topic |
string |
Sohbet yazışması konusu. |
ChatThreadMember
Sohbet yazışmasının bir üyesi.
| Name | Tür | Description |
|---|---|---|
| displayName |
string |
Sohbet yazışması üyesinin görünen adı. |
| id |
string |
sohbet yazışması üyesinin |
| shareHistoryTime |
string (date-time) |
Sohbet geçmişinin üyeyle paylaşıldığı zaman. Zaman damgası ISO8601 biçimdedir: |
Error
| Name | Tür | Description |
|---|---|---|
| code |
string |
|
| innerErrors |
Error[] |
|
| message |
string |
|
| target |
string |